package domain

type AlibabaWdkMarketingFullrangeAddexchangeitemMarketResult struct {
	/*
	   结果信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   data     */
	Data *AlibabaWdkMarketingFullrangeAddexchangeitemItemStairSku `json:"data,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingFullrangeAddexchangeitemMarketResult) SetMessage(v string) *AlibabaWdkMarketingFullrangeAddexchangeitemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeAddexchangeitemMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingFullrangeAddexchangeitemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeAddexchangeitemMarketResult) SetData(v AlibabaWdkMarketingFullrangeAddexchangeitemItemStairSku) *AlibabaWdkMarketingFullrangeAddexchangeitemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeAddexchangeitemMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingFullrangeAddexchangeitemMarketResult {
	s.Success = &v
	return s
}
